---
layout: post
title: "Torsocks 1.2 Released"
permalink: torsocks-12-released
date: 2011-10-29
author: mwenge
category: blog
tags: ["torsocks"]
---

I'm happy to announce the release of [Torsocks 1.2](http://code.google.com/p/torsocks/downloads/list).

Torsocks is an application for Linux, BSD and Mac OSX that allows you to use network applications such as ssh and irssi with Tor.

A quick guide to using Torsocks and an overview of its compatibility with a variety of popular applications is available [at the project's home page](http://code.google.com/p/torsocks/).

The focus for this release was to add a test suite, clean up the source code, simplify the build, compile on more versions of BSD, and add a few new defences that make it harder for users to leak information that might compromise their anonymity.

Full details of the changes are available [in the release change log](http://code.google.com/p/torsocks/downloads/detail?name=torsocks-1.2.tar.gz).

If you don't want to wait until your distribution packages the latest version of torsocks, you can download the source from [the project home page](http://code.google.com/p/torsocks/downloads/list). If you find any problems with Torsocks please don't be shy about [opening a bug](http://code.google.com/p/torsocks/issues/list).

Many thanks to Anthony Basile and the mysterious 'foobi..@gmail.com' for their substantial contribution to this release.

- Robert

